FractalPoolUser(1)

NAME
fractalpooluser - RSerPool Client (PU) for the Fractal Generator service

SYNOPSIS
fractalpooluser [-identifier=PU_identifier] [-poolhandle=pool_handle] [-configdir=directory] [-caption=window_title] [-width=pixels] [-height=pixels] [-threads=threads] [-sendtimeout=milliseconds] [-recvtimeout=milliseconds] [-interimagetime=seconds] [-imagestorageprefix=file_name_prefix] [-colormarks] [-nocolormarks] [-sessions] [-nosessions] [-cspinterval=milliseconds] [-cspserver=address:port] [-logappend=filename] [-logcolor=on|off] [-logfile=filename] [-loglevel=0-9]

DESCRIPTION
fractalpooluser is a Reliable Server Pooling (RSerPool) pool user (PU) for the FractalGenerator service. It uses a Qt-based X11 GUI.

ARGUMENTS
The following options are available:

-identifier=PU_identifier
    Sets a fixed PU identifier. Handle with care!

-poolhandle=pool_handle
    Sets the PH to a non-default value; otherwise, the default setting is "FractalGeneratorPool".

Service Parameters:

    -configdir=directory
        Sets a directory to look for FGP config files. From all FGP files (pattern: *.fgp) in this directory, random files are selected for the calculation of requests.

    -caption=window_title
        Sets the output window title.

    -width=pixels
        Sets the width of the window and the images to be calculated.

    -height=pixels
        Sets the height of the window and the images to be calculated.

    -threads=threads
        Sets the number of parallel sessions to use for processing of each image.

    -sendtimeout=milliseconds
        Sets the transmission timeout.

    -recvtimeout=milliseconds
        Sets the receive timeout.

    -interimagetime=seconds
        Sets the pause time between two image calculations in seconds.

    -imagestorageprefix=file_name_prefix
        Sets a file name prefix for saving the calculated images. If set, each successfully calculated image is stored to the given location as PNG file, with a 6-digit file number added.

    -colormarks
        Turns on color change on session failover.

    -nocolormarks
        Turns off color change on session failover.

    -sessions
        Turns on color change between different sessions.

    -nosessions
        Turns off color change between different sessions.

ASAP Protocol Parameters:

    -registrar=address:port
        Adds a static PR entry into the Registrar Table. It is possible to add multiple entries.

    -registrarannouncetimeout=milliseconds
        Sets the timeout for ASAP announces via multicast.

    -registrarconnecttimeout=milliseconds
        Sets the timeout for ASAP connection establishment.

    -registrarconnectmaxtrials=trials
        Sets the maximum number of ASAP connection establishment trials.

    -registrarrequesttimeout=milliseconds
        Sets the timeout for ASAP requests.

    -registrarresponsetimeout=milliseconds
        Sets the timeout for waiting to receive ASAP responses.

    -registrarrequestmaxtrials=trials
        Sets the maximum number of ASAP request trials.

Component Status Protocol (CSP) Parameters:

    -cspserver=address:port
        Sets the address of a CSP monitor server. By default, the content of the environment variable CSP_SERVER is used. If not defined, no CSP status reports will be sent.

    -cspinterval=milliseconds
        Sets the interval for the CSP status updates in milliseconds. By default, the content of the environment variable CSP_INTERVAL is used. If not defined, no CSP status reports will be sent.

Logging Parameters:

    -logappend=filename
        Write logging output to a file (default is stdout); output will be appended to given file.

    -logcolor=on|off
        Turns ANSI colorization of the logging output on or off.

    -logfile=filename
        Write logging output to a file (default is stdout); given file will be overwritten.

    -loglevel=0-9
        Sets the logging verbosity from 0 (none) to 9 (very verbose). It is recommended to use at least a value of 2 to see possibly important error messages and warnings.

ENVIRONMENT
fractalpooluser uses the environment variables CSP_SERVER and CSP_INTERVAL to define a CSP server to send reports to in the specified interval.

DIAGNOSTICS
If loglevel>0, log messages will be printed to stdout or into a specified log file.

SEE ALSO
For a detailed introduction to RSerPool, see:
https://duepublico.uni-duisburg-essen.de/servlets/DerivateServlet/Derivate-16326/Dre2006_final.pdf

Thomas Dreibholz's RSerPool Page:
https://www.nntb.no/~dreibh/rserpool/